<article <?php post_class( 'main-article' ); ?> id="post-<?php the_ID(); ?>">
<header class="entry-header">
<?php
if ( is_page() ) {
	//ページ

	//親ページがあれば親ページのタイトル
	$ancestors = get_post_ancestors( get_post() );
	if ( !empty( $ancestors ) ) {
		the_title( '<h1 class="entry-title">', '</h1>' );
	}
} else {
	the_title( '<h1 class="entry-title">', '</h1>' );
	
	//日付、投稿者はページでは省略(footerは残す)
	istk_portfolio_post_date( 'nomodified' );
	istk_portfolio_post_author();
}
if ( has_post_thumbnail() ) {
	?><div class="featured-image"><?php
	the_post_thumbnail( 'large' );
	?></div><?php
}
?>
</header>


<div class="entry-content">
<?php
	
	the_content();

	istk_portfolio_link_pages();
?>
</div>

<footer class="entry-footer">
<?php
istk_portfolio_post_date();
istk_portfolio_post_author();
istk_portfolio_post_categories();
istk_portfolio_post_tags();
?>
</footer>
</article>

<?php
//コメント
if ( ( is_single() || is_page() ) && ( comments_open() || get_comments_number() ) && ! post_password_required() ) {
	?>

	<div class="comments-wrapper section-inner">
		<?php comments_template(); ?>
	</div><!-- .comments-wrapper -->

	<?php
}



if ( get_post_type() == 'post' ) {
	?><div class="next_and_previous_link"><?php
		previous_post_link('<span class="previous">%link</span>');
		next_post_link('<span class="next">%link</span>');
	?></div><?php
}
?>